Bug 1314157 - crm_report -l does not work correctly
crm_report -l does not work correctly
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pacemaker (Show other bugs)
7.1
Unspecified Unspecified
unspecified Severity medium
: rc
: 7.3
Assigned To: Ken Gaillot
cluster-qe@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-03 00:39 EST by Andrew Beekhof
Modified: 2016-11-03 14:58 EDT (History)
3 users (show)

See Also:
Fixed In Version: pacemaker-1.1.15-1.2c148ac.git.el7
Doc Type: No Doc Update
Doc Text:
undefined
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-03 14:58:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Beekhof 2016-03-03 00:39:26 EST
Description of problem:

Files passed to -l are ignored and the --logfile option is not correctly handled.

Version-Release number of selected component (if applicable):

7.x

How reproducible:

100%

Steps to Reproduce:
1. crm_report --logfile /dev/null -M -S -f 14:00

Actual results:

  Could not determine the location of your cluster logs, try specifying --logfile /some/path


Expected results:

  Report is created correctly

Additional info:

  https://github.com/beekhof/pacemaker/commit/75fa55e
  https://github.com/beekhof/pacemaker/commit/0a4abb5
Comment 3 Mike McCune 2016-03-28 18:52:26 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 7 errata-xmlrpc 2016-11-03 14:58:59 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2578.html

Note You need to log in before you can comment on or make changes to this bug.